
Redmine - Defect #21900

Moving a page with a child raises an error if target wiki contains a page with the same name as the

child

2016-01-30 15:07 - Hiroo Hayashi

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 3.1.4   

Resolution: Fixed Affected version: 3.2.0

Description

Project A has Wiki pages, "Wiki-P" and "Wiki-C".  "Wiki-C" is a child of "Wiki-P".

Project B has an Wiki page, "Wiki-C".

Project A:

Wiki-P

  Wiki-C

Project B:

Wiki-C

 Moving "Wiki-C" in Project A to Project B warns as "Title has already been taken".

Moving "Wiki-P" in Project A to Project B causes an internal error.

bitnami@linux:~/redmine/htdocs$ ruby bin/about

sh: 1: darcs: not found

sh: 1: hg: not found

sh: 1: cvs: not found

sh: 1: bzr: not found

Environment:

  Redmine version                3.2.0.stable

  Ruby version                   2.1.8-p440 (2015-12-16) [x86_64-linux]

  Rails version                  4.2.5

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.13

  Git                            2.6.1

  Filesystem

Associated revisions

Revision 15130 - 2016-01-30 16:12 - Jean-Philippe Lang

Fixed that moving a wiki page with a child raises an error when target wiki contains a page with the same name as the child (#21900).

Revision 15197 - 2016-03-12 09:23 - Jean-Philippe Lang

Merged r15130 (#21900).

Revision 15198 - 2016-03-12 09:24 - Jean-Philippe Lang

Merged r15130 (#21900).

History

#1 - 2016-01-30 16:13 - Jean-Philippe Lang

- Subject changed from Moving wiki pages cause an internal error to Moving a page with a child raises an error if target wiki contains a page with the

same name as the child

- Status changed from New to Resolved

2025-05-17 1/3



- Assignee set to Jean-Philippe Lang

- Target version set to 3.1.4

- Resolution set to Fixed

Fixed in r15130, thanks for poiting this out.

#2 - 2016-01-31 04:54 - Hiroo Hayashi

Thank you for your prompt fix.

I found this bug because I wanted to know how this function, moving Wiki pages, works.

RedmineWikis has no description about it yet.  #5450 was this only clue, but has little information.

The following is my understanding for RedmineWikis.  I still don't understand the behavior of the last sentence.  (I'm not familiar with Ruby and am not

sure how your fix works.)

Renaming and moving a wiki page

To rename a wiki page and move a wiki page and its children to other project, click on move.png  Rename.

If 'Redirect existing links' is checked, existing links to the current page are redirected to the wiki page renamed or moved.  Links to the children-pages

move to other project are not redirected.  To stop the redirection see a workaround in #6401#note-8.

You can specify a parent page by 'Parent page'.

You can also specify a destination project by 'Project'.  Moving a page with a child raises an error if target wiki contains a page with the same name

as the child.  In this case no pages are moved (or moved partially and parent-children relationship need to be fixed???).

#3 - 2016-01-31 10:34 - Jean-Philippe Lang

After the fix, the last paragraph would be:

You can move a page to another project by specifying the destination project in 'Project'. When moving a page, each child page is also moved unless

the destination project contains a page with the same name.

#4 - 2016-01-31 13:00 - Hiroo Hayashi

Good.  That is I expected.

Submissions says

Submitting a Wiki improvement

When you edit a wiki page to improve its content, make sure that you fill the comment field with a descriptive summary of the changes you've

made to the page. This way we'll be better able to "monitor" and "maintain" the quality of the actual wiki content.

 May I edit the wiki page?

#5 - 2016-01-31 14:00 - Jean-Philippe Lang

Hiroo Hayashi wrote:

May I edit the wiki page?

 Sure

#6 - 2016-01-31 14:17 - Hiroo Hayashi

May I edit the wiki page?

 Sure

 I did it.  I added some more changes.

Please double-check, since English is not my first language.
https://www.redmine.org/projects/redmine/repository/svn/revisions/15130
https://www.redmine.org/projects/redmine/wiki/RedmineWikis
https://www.redmine.org/issues/5450
https://www.redmine.org/projects/redmine/wiki/RedmineWikis
https://www.redmine.org/issues/6401#note-8
https://www.redmine.org/projects/redmine/wiki/Submissions


#7 - 2016-03-12 09:24 - Jean-Philippe Lang

- Status changed from Resolved to Closed
